// FieldPanel.cpp : implementation file
//

#include "stdafx.h"
#include "mw4gameed2.h"
#include "FieldPanel.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFieldPanel dialog


CFieldPanel::CFieldPanel(UINT  nIDTemplate,CString fname, CWnd* pParent /*=NULL*/)
	: CPanelDlg(nIDTemplate, pParent)
{
	//{{AFX_DATA_INIT(CFieldPanel)
	m_FieldName = _T("");
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_FieldName=fname;
}


void CFieldPanel::DoDataExchange(CDataExchange* pDX)
{
	CPanelDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFieldPanel)
	DDX_Text(pDX, IDC_FIELDNAME, m_FieldName);
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFieldPanel, CPanelDlg)
	//{{AFX_MSG_MAP(CFieldPanel)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFieldPanel message handlers
